Module java.compiler
Package javax.lang.model.util

# Class AbstractTypeVisitor14<R,P>

java.lang.Object
javax.lang.model.util.AbstractTypeVisitor6<R,P>
javax.lang.model.util.AbstractTypeVisitor7<R,P>
javax.lang.model.util.AbstractTypeVisitor8<R,P>
javax.lang.model.util.AbstractTypeVisitor9<R,P>
javax.lang.model.util.AbstractTypeVisitor14<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `TypeVisitor<R,P>`

@SupportedSourceVersion(RELEASE_21) public abstract class AbstractTypeVisitor14<R,P> extends AbstractTypeVisitor9<R,P>
A skeletal visitor of types with default behavior appropriate for the `RELEASE_14` source version.

Since:
  14
See Also:
  - Compatibility note for subclasses
  - `AbstractTypeVisitor6`
  - `AbstractTypeVisitor7`
  - `AbstractTypeVisitor8`
  - `AbstractTypeVisitor9`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractTypeVisitor14()`
Constructor for concrete subclasses to call.

## Method Summary

### Methods declared in class javax.lang.model.util.AbstractTypeVisitor8

`visitIntersection`

### Methods declared in class javax.lang.model.util.AbstractTypeVisitor7

`visitUnion`

### Methods declared in class javax.lang.model.util.AbstractTypeVisitor6

`visit, visit, visitUnknown`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.lang.model.type.TypeVisitor

`visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

## Constructor Details

### AbstractTypeVisitor14

protected AbstractTypeVisitor14()
Constructor for concrete subclasses to call.